Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class PartyIdentificationSDD1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.PartyIdentificationSDD1

public class PartyIdentificationSDD1 extends Object

Java class for PartyIdentificationSDD1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentificationSDD1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:swift:xsd:$pain.008.002.01}Max70Text" minOccurs="0"/>
             <element name="Id" type="{urn:swift:xsd:$pain.008.002.01}PartySDDChoice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartySDDChoice`
`id`
`protected String`
`nm`

## Constructor Summary

Constructors
Constructor
Description
`PartyIdentificationSDD1()`

## Method Summary

Modifier and Type
Method
Description
`PartySDDChoice`
`getId()`
Gets the value of the id property.
`String`
`getNm()`
Gets the value of the nm property.
`void`
`setId(PartySDDChoice value)`
Sets the value of the id property.
`void`
`setNm(String value)`
Sets the value of the nm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nm

protected String nm

### id

protected PartySDDChoice id

## Constructor Details

### PartyIdentificationSDD1

public PartyIdentificationSDD1()

## Method Details

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getId

public PartySDDChoice getId()
Gets the value of the id property.

Returns:
  possible object is `PartySDDChoice`

### setId

public void setId(PartySDDChoice value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `PartySDDChoice`